Esta página aún no está traducida al español, por lo que se muestra en inglés.
Get a list of all Bot Runners
This returns the list of all Bot Runners that are connected to Orchestrator. You can filter the result by status, logged-in user, Bot Runner version, ID, or name.
gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runners
{region} puede ser: na, cis, apac, latam, emea
Pruébalo
Parámetros de consulta
cURL
curl --request GET \ --url 'https://api.na.electroneek.com/v1/orchestrator/bot-runners'
Autenticación
Usa un token API de la página Orquestador → Integraciones. Envíalo como token bearer: Authorization: Bearer <token>.
Parámetros de consulta
| Nombre | Tipo | Obligatorio | Descripción |
|---|---|---|---|
status | string (ready, in_progress, offline) | no | It filters Bot Runners by status |
login_as | string | no | It filters logged users by email, e.g., robot@electroneek.com |
version | string | no | It filters Bot Runners by version, e.g., 8.0.0 |
ids | array of string | no | It filters by Bot Runner IDs. |
name | string | no | It filters Bot Runners by the name, .e.g, MY-BOT-RUNNER-1 |
Respuesta
200API returns the list of Bot Runners matching the filter criteria.
Cuerpo de la respuesta
object
listarray of objectsobject
iduuidobligatorioID of the Bot Runner
namestringobligatorioName of the Bot Runner
statusstring (ready, in_progress, offline)obligatorioStatus of the Bot Runner
versionstringobligatorioVersion of the Bot Runner
login_asobjectobligatorioOrganization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens
object
typestringvaluestringhost_namestringobligatorioName of the computer where Bot Runner is installed.
Actualizado